package org.kne.cloud.network;

import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.InetAddress;
import java.net.Socket;
import java.net.SocketAddress;
import java.net.SocketException;
import java.net.SocketImpl;
import java.nio.channels.SocketChannel;

public class FilterSocket extends Socket {
	protected Socket socket;
	
	public FilterSocket(Socket socket) {
		this.socket = socket;
		
	}

	@Override
	public void connect(SocketAddress endpoint) throws IOException {
		// TODO 自动生成的方法存根
		socket.connect(endpoint);
	}

	@Override
	public void connect(SocketAddress endpoint, int timeout) throws IOException {
		// TODO 自动生成的方法存根
		socket.connect(endpoint, timeout);
	}

	@Override
	public void bind(SocketAddress bindpoint) throws IOException {
		// TODO 自动生成的方法存根
		socket.bind(bindpoint);
	}

	@Override
	public InetAddress getInetAddress() {
		// TODO 自动生成的方法存根
		return socket.getInetAddress();
	}

	@Override
	public InetAddress getLocalAddress() {
		// TODO 自动生成的方法存根
		return socket.getLocalAddress();
	}

	@Override
	public int getPort() {
		// TODO 自动生成的方法存根
		return socket.getPort();
	}

	@Override
	public int getLocalPort() {
		// TODO 自动生成的方法存根
		return socket.getLocalPort();
	}

	@Override
	public SocketAddress getRemoteSocketAddress() {
		// TODO 自动生成的方法存根
		return socket.getRemoteSocketAddress();
	}

	@Override
	public SocketAddress getLocalSocketAddress() {
		// TODO 自动生成的方法存根
		return socket.getLocalSocketAddress();
	}

	@Override
	public SocketChannel getChannel() {
		// TODO 自动生成的方法存根
		return socket.getChannel();
	}

	@Override
	public InputStream getInputStream() throws IOException {
		// TODO 自动生成的方法存根
		return socket.getInputStream();
	}

	@Override
	public OutputStream getOutputStream() throws IOException {
		// TODO 自动生成的方法存根
		return socket.getOutputStream();
	}

	@Override
	public void setTcpNoDelay(boolean on) throws SocketException {
		// TODO 自动生成的方法存根
		socket.setTcpNoDelay(on);
	}

	@Override
	public boolean getTcpNoDelay() throws SocketException {
		// TODO 自动生成的方法存根
		return socket.getTcpNoDelay();
	}

	@Override
	public void setSoLinger(boolean on, int linger) throws SocketException {
		// TODO 自动生成的方法存根
		socket.setSoLinger(on, linger);
	}

	@Override
	public int getSoLinger() throws SocketException {
		// TODO 自动生成的方法存根
		return socket.getSoLinger();
	}

	@Override
	public void sendUrgentData(int data) throws IOException {
		// TODO 自动生成的方法存根
		socket.sendUrgentData(data);
	}

	@Override
	public void setOOBInline(boolean on) throws SocketException {
		// TODO 自动生成的方法存根
		socket.setOOBInline(on);
	}

	@Override
	public boolean getOOBInline() throws SocketException {
		// TODO 自动生成的方法存根
		return socket.getOOBInline();
	}

	@Override
	public synchronized void setSoTimeout(int timeout) throws SocketException {
		// TODO 自动生成的方法存根
		socket.setSoTimeout(timeout);
	}

	@Override
	public synchronized int getSoTimeout() throws SocketException {
		// TODO 自动生成的方法存根
		return socket.getSoTimeout();
	}

	@Override
	public synchronized void setSendBufferSize(int size) throws SocketException {
		// TODO 自动生成的方法存根
		socket.setSendBufferSize(size);
	}

	@Override
	public synchronized int getSendBufferSize() throws SocketException {
		// TODO 自动生成的方法存根
		return socket.getSendBufferSize();
	}

	@Override
	public synchronized void setReceiveBufferSize(int size) throws SocketException {
		// TODO 自动生成的方法存根
		socket.setReceiveBufferSize(size);
	}

	@Override
	public synchronized int getReceiveBufferSize() throws SocketException {
		// TODO 自动生成的方法存根
		return socket.getReceiveBufferSize();
	}

	@Override
	public void setKeepAlive(boolean on) throws SocketException {
		// TODO 自动生成的方法存根
		socket.setKeepAlive(on);
	}

	@Override
	public boolean getKeepAlive() throws SocketException {
		// TODO 自动生成的方法存根
		return socket.getKeepAlive();
	}

	@Override
	public void setTrafficClass(int tc) throws SocketException {
		// TODO 自动生成的方法存根
		socket.setTrafficClass(tc);
	}

	@Override
	public int getTrafficClass() throws SocketException {
		// TODO 自动生成的方法存根
		return socket.getTrafficClass();
	}

	@Override
	public void setReuseAddress(boolean on) throws SocketException {
		// TODO 自动生成的方法存根
		socket.setReuseAddress(on);
	}

	@Override
	public boolean getReuseAddress() throws SocketException {
		// TODO 自动生成的方法存根
		return socket.getReuseAddress();
	}

	@Override
	public synchronized void close() throws IOException {
		// TODO 自动生成的方法存根
		socket.close();
	}

	@Override
	public void shutdownInput() throws IOException {
		// TODO 自动生成的方法存根
		socket.shutdownInput();
	}

	@Override
	public void shutdownOutput() throws IOException {
		// TODO 自动生成的方法存根
		socket.shutdownOutput();
	}

	@Override
	public String toString() {
		// TODO 自动生成的方法存根
		return socket.toString();
	}

	@Override
	public boolean isConnected() {
		// TODO 自动生成的方法存根
		return socket.isConnected();
	}

	@Override
	public boolean isBound() {
		// TODO 自动生成的方法存根
		return socket.isBound();
	}

	@Override
	public boolean isClosed() {
		// TODO 自动生成的方法存根
		return socket.isClosed();
	}

	@Override
	public boolean isInputShutdown() {
		// TODO 自动生成的方法存根
		return socket.isInputShutdown();
	}

	@Override
	public boolean isOutputShutdown() {
		// TODO 自动生成的方法存根
		return socket.isOutputShutdown();
	}

	@Override
	public void setPerformancePreferences(int connectionTime, int latency, int bandwidth) {
		// TODO 自动生成的方法存根
		socket.setPerformancePreferences(connectionTime, latency, bandwidth);
	}
	
}
